std::is_base_of< typename, typename >(3)

NAME
std::is_base_of< typename, typename > -

SYNOPSIS

Inherits std::integral_constant< bool, __is_base_of(_Base, _Derived)>.

  Public Types
typedef integral_constant
< bool, __v > type"
typedef bool value_type

  Public Member Functions
constexpr operator value_type ()

  Static Public Attributes
static constexpr bool value

Detailed Description

  template<typename, typename>struct std::is_base_of< typename, typename >
is_base_of

Definition at line 826 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.